searchData={"items":[{"type":"task","title":"mix zig_doc","doc":"Runs `mix docs`, except with `Zig.Doc.generate_docs/3` as the callback.\n\nThis injects a processing step for zig documentation at the end of the mix\ndoc step, including specified zig files as \"modules\" in the ExDoc system.\nThese files are incorporated under the `ZIG CODE` module category.\n\nThis is most effectively used by aliasing it in your mix.exs:\n\n```elixir\ndef project do\n  [\n    ...\n    aliases: [\n      docs: [\"zig_doc\"]\n    ]\n    ...\n  ]\nend\n```\n\nsee `Mix.Tasks.Docs` for more information","ref":"Mix.Tasks.ZigDoc.html"},{"type":"function","title":"Mix.Tasks.ZigDoc.run/2","doc":"","ref":"Mix.Tasks.ZigDoc.html#run/2"},{"type":"module","title":"Zig.Doc","doc":"Incorporates Zig documentation from selected files into Elixir projects.","ref":"Zig.Doc.html"},{"type":"module","title":"Usage - Zig.Doc","doc":"1. Include the zig files you wish to document in your project docs:\n  ```elixir\n    def project do\n      [\n        docs: [\n          ...\n          zig_doc: [name_of_module: [file: \"path/to/file.zig\"]]\n        ]\n      ]\n    end\n  ```\n\n2. (optional) alias `Zig.Doc` in your `mix.exs`:\n  ```elixir\n  def project do\n    [\n      ...\n      aliases: [\n        docs: [\"zig_doc\"]\n      ]\n      ...\n    ]\n  end\n  ```\n  >","ref":"Zig.Doc.html#module-usage"},{"type":"module","title":"Note {: .info } - Zig.Doc","doc":">\n  > This step is required if you want HexDocs.pm to include the zig\n  > documentation with your main documentation.","ref":"Zig.Doc.html#module-note-info"},{"type":"module","title":"Documentation forms - Zig.Doc","doc":"Currently, Zigler recognizes the following forms of documentation:\n\n- **files**\n\n  This form is set using the `//!` at the top of a document, and will\n  be used as the \"module-level\" documentation for the ExDoc result.\n\n- **functions**\n\n  Public functions: `pub const   =  ;`\n  and publicly declared functions: `pub fn  ( )   {   }`\n  are both recognized and converted to ExDoc-style function documentation.\n\n- **types**\n\n  `pub const   =  ;` is recognized and\n  converted into ExDoc-style type documentation.\n\n  functions which return `type` are also recognized and converted into type\n  documentation.\n\n- **constants**\n\n  `pub const   =  ;` is recognized\n  and converted into ExDoc-style function documentation under the category\n  `Constants`.\n\n- **variables**\n\n  `pub var   = ...;` is recognized and converted into ExDoc-style\n  function documentation under the category `Variables`.","ref":"Zig.Doc.html#module-documentation-forms"},{"type":"module","title":"Tags - Zig.Doc","doc":"preamble documentation comments like so\n\n```zig\n\\\\\\ <!--  ;  ;...;  -->\n```\n\nto tag the content.  Currently available tags:\n\n- `ignore`: ignores the content.\n- `topic:  `: (non-type functions only) sets the topic of the content.  This\n  will be used to group functions in the ExDoc output, the function group\n  will be rendered as `Functions ( )`.\n- `args:  , ,..., ` (const functions only) sets argument names when\n  the function is rendered as a constant.  Use _ to signify that the name should\n  not be used.\n\n>","ref":"Zig.Doc.html#module-tags"},{"type":"module","title":"Warning {: .warning } - Zig.Doc","doc":">\n> Currently `Zig.Doc` is lazily written to support the use case for `beam.zig`\n> found in the the main Zigler project.  It is very likely that custom zig files\n> used in a nif might not be correctly parsed.  If you find this to be the case,\n> please file an issue at: https://github.com/E-xyza/zig_doc/issues","ref":"Zig.Doc.html#module-warning-warning"},{"type":"function","title":"Zig.Doc.generate_docs/3","doc":"Generates documentation for the given `project`, `vsn` (version)\nand `options`.\n\nLifted and modified from `ExDoc.generate_docs` in ex_doc 0.29.4.","ref":"Zig.Doc.html#generate_docs/3"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}